ellipCopula-class {copula} | R Documentation

## Class "ellipCopula" of Elliptical Copulas

### Description

Copulas generated from elliptical multivariate distributions, notably Normal- and t-copulas (of specific class `"normalCopula"` or `"tCopula"`, respectively).

### Objects from the Class

Objects are typically created by `ellipCopula()`, `normalCopula()`, or `tCopula()`.

### Slots

`dispstr`:

  `"character"` string indicating how the dispersion matrix is parameterized; one of `"ex"`, `"ar1"`, `"toep"`, or `"un"`, see the `dispstr` argument of `ellipCopula()`.

`dimension`:

  Object of class `"numeric"`, dimension of the copula.

`parameters`:

  a `numeric`, (vector of) the parameter value(s).

`param.names`:

  `character` vector with names for the `parameters` slot, of the same length.

`param.lowbnd`:

  `numeric` vector of lower bounds for the `parameters` slot, of the same length.

`param.upbnd`:

  upper bounds for `parameters`, analogous to `parm.lowbnd`.

`fullname`:

  Object of class `"character"`, family names of the copula.

### Extends

Class `"ellipCopula"` extends class `"copula"` directly. Classes `"normalCopula"` and `"tCopula"` extend `"ellipCopula"` directly.

### Methods

Many methods are available, notably `dCopula`, `pCopula`, and `rCopula`. Use, e.g., `methods(class = "tCopula")` to find others.

### See Also

`ellipCopula` which also documents `tCopula()` and `normalCopula()`; `copula-class`.

[Package copula version 0.999-15 Index]